package com.ag.base;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

/**
 * Created by yangxh on 2019/7/30.
 */
@Repository
public class DefaultBussniessImpl<T> extends BaseDAO<T> {

    @Autowired
    private JdbcTemplate jdbcTemplatebusiness;//数据源
    private SqlUtil<T> sqlUtil = new OriginalSqlUtil<>();//表名映射
    @Override
    public JdbcTemplate getJdbcTemplate() {
        return jdbcTemplatebusiness;
    }

    @Override
    protected SqlUtil<T> getSqlUtil() {
        return sqlUtil;
    }
}
